XmlTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.tagshandler.XmlTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class XmlTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.XmlTagsHandler

public class XmlTagsHandler
extends XDocletTagSupport

XML template support tags.

Version:
  $Revision: 1.7 $
Author:
  Andrew Stevens
xdoclet.taghandler
  namespace="Xml"
created
  Dec 20, 2001

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`XmlTagsHandler()`

Method Summary
`String` | `publicId()` Returns the DTD's public ID for an XML template.
`String` | `schema()` Returns the schema for an XML template.
`String` | `systemId()` Returns the DTD's system ID for an XML template.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlTagsHandler

    public XmlTagsHandler()

Method Detail

### publicId

    public String publicId()
                    throws XDocletException

  Returns the DTD's public ID for an XML template.

  Returns:
    The public ID
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `XmlSubTask.getPublicId()`
  doc.tag
    type="content"

### systemId

    public String systemId()
                    throws XDocletException

  Returns the DTD's system ID for an XML template.

  Returns:
    The system ID
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `XmlSubTask.getSystemId()`
  doc.tag
    type="content"

### schema

    public String schema()
                  throws XDocletException

  Returns the schema for an XML template.

  Returns:
    The schema
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `XmlSubTask.getSchema()`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD